"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var test_results_1 = require("./test-results");
require("cypress");
var CypressCliUtils = /** @class */ (function () {
    function CypressCliUtils() {
    }
    CypressCliUtils.convertCypressRunResult = function (results, options) {
        var testRuns;
        if (!options.specMapping || options.specMapping === "cycle") {
            testRuns = this.convertSpecsToTestCycles(results);
        }
        else {
            testRuns = this.convertSpecsToTests(results, options.cycleName);
        }
        return testRuns;
    };
    CypressCliUtils.convertSpecsToTests = function (results, testCycleName) {
        var testRun = new test_results_1.TestRun();
        testRun.name = testCycleName
            ? testCycleName
            : "Cypress Test Cycle";
        testRun.results = [];
        results.runs.forEach(function (r) {
            var testResult = new test_results_1.TestResult();
            testResult.name = r.tests[0].title[0];
            testResult.status = r.stats.failures > 0
                ? "failed"
                : "passed";
            testRun.results.push(testResult);
        });
        return [testRun];
    };
    CypressCliUtils.convertSpecsToTestCycles = function (results) {
        var testRuns = [];
        results.runs.forEach(function (r) {
            var testRun = new test_results_1.TestRun();
            testRun.name = r.tests[0].title[0];
            testRun.results = [];
            r.tests.forEach(function (tr) {
                var testResult = new test_results_1.TestResult();
                testResult.name = tr.title[1];
                testResult.status = tr.state;
                testRun.results.push(testResult);
            });
            testRuns.push(testRun);
        });
        return testRuns;
    };
    return CypressCliUtils;
}());
exports.CypressCliUtils = CypressCliUtils;
//# sourceMappingURL=cypress-cli-utils.js.map