"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var axios_1 = require("axios");
var Tm4jApi = /** @class */ (function () {
    function Tm4jApi(baseUrl, authToken) {
        this.baseUrl = baseUrl;
        this.authToken = authToken;
    }
    Tm4jApi.prototype.getTestCyclesByProjectKey = function (projectKey) {
        return axios_1.default({
            method: "GET",
            url: this.baseUrl + "/testcycles",
            headers: {
                'Authorization': "Bearer " + this.authToken
            },
            params: {
                'projectKey': projectKey
            }
        });
    };
    Tm4jApi.prototype.createTestCycle = function (projectKey, name) {
        return axios_1.default({
            method: "POST",
            url: this.baseUrl + "/testcycles",
            headers: {
                'Authorization': "Bearer " + this.authToken,
                'Content-Type': 'application/json'
            },
            data: JSON.stringify({
                'projectKey': projectKey,
                'name': name
            })
        });
    };
    Tm4jApi.prototype.getTestCasesByProjectKey = function (projectKey) {
        return axios_1.default({
            method: "GET",
            url: this.baseUrl + "/testcases",
            headers: {
                'Authorization': "Bearer " + this.authToken
            },
            params: {
                'projectKey': projectKey,
                'maxResults': 50
            }
        });
    };
    Tm4jApi.prototype.createTestCase = function (projectKey, name, folderId) {
        return axios_1.default({
            method: "POST",
            url: this.baseUrl + "/testcases",
            headers: {
                'Authorization': "Bearer " + this.authToken,
                'Content-Type': 'application/json'
            },
            data: JSON.stringify({
                'projectKey': projectKey,
                'name': name,
                'folderId': folderId
            })
        });
    };
    Tm4jApi.prototype.publishTestExecution = function (testExecution) {
        return axios_1.default({
            method: "POST",
            url: this.baseUrl + "/testexecutions",
            headers: {
                'Authorization': "Bearer " + this.authToken,
                'Content-Type': 'application/json'
            },
            data: JSON.stringify(testExecution)
        });
    };
    return Tm4jApi;
}());
exports.Tm4jApi = Tm4jApi;
var TestCycle = /** @class */ (function () {
    function TestCycle(key, title) {
        this.key = key;
        this.name = title;
    }
    return TestCycle;
}());
exports.TestCycle = TestCycle;
var TestCase = /** @class */ (function () {
    function TestCase(key, title) {
        this.key = key;
        this.name = title;
    }
    return TestCase;
}());
exports.TestCase = TestCase;
var TestExecution = /** @class */ (function () {
    function TestExecution() {
    }
    return TestExecution;
}());
exports.TestExecution = TestExecution;
//# sourceMappingURL=tm4j-api.js.map